# GET市场概况数据

### 接口说明

该系列接口提供市场维度的概况数据，包括市场温度（估值/情绪）、涨跌家数分布、全球指数列表、领涨行业及排行榜配置。

### 请求频率

跟其他接口请求频率使用同一个频率限制。具体每秒请求次数根据套餐决定。可以参考 [接口限制说明](https://docs.infoway.io/getting-started/api-limitation)

### 错误码说明

参考 [HTTP错误码说明](https://docs.infoway.io/getting-started/error-codes/http)

### 请求头

| 参数       | 类型     | 必填 | 描述           |
| -------- | ------ | -- | ------------ |
| `apiKey` | String | 是  | 您套餐中的API Key |

### 支持的市场代码

`HK`（港股）、`US`（美股）、`CN`（A股）

***

#### 市场温度

获取市场估值温度和情绪温度（0-100），可用于判断市场冷热。

**接口地址**

* 基本路径：`/common/v2/basic/market/temperature`
* 完整路径：`https://data.infoway.io/common/v2/basic/market/temperature`

**Request param入参说明**

| 参数名      | 类型     | 必填 | 描述                     | 示例值     |
| -------- | ------ | -- | ---------------------- | ------- |
| `market` | String | 否  | 市场代码，逗号分隔，默认`HK,US,CN` | `HK,US` |

**返回示例**

```json
{
  "markets": ["HK", "US"],
  "data": {
    "list": [
      {
        "market": "HK",
        "temp": "69",
        "temp_intro": "温度适宜并逐渐上升中",
        "valuation": "80",
        "sentiment": "58"
      },
      {
        "market": "US",
        "temp": "36",
        "valuation": "54",
        "sentiment": "18"
      }
    ]
  }
}
```

| 字段名          | 类型     | 描述               |
| ------------ | ------ | ---------------- |
| `market`     | String | 市场代码             |
| `temp`       | String | 综合温度（0-100，越高越热） |
| `temp_intro` | String | 温度描述             |
| `valuation`  | String | 估值温度             |
| `sentiment`  | String | 情绪温度             |

***

#### 涨跌家数

获取市场涨跌家数分布统计。

**接口地址**

* 基本路径：`/common/v2/basic/market/breadth/{market}`
* 完整路径：`https://data.infoway.io/common/v2/basic/market/breadth/{market}`

**路径参数**

| 参数名      | 类型     | 必填 | 描述   | 示例值  |
| -------- | ------ | -- | ---- | ---- |
| `market` | String | 是  | 市场代码 | `HK` |

**返回示例**

```json
{
  "market": "HK",
  "data": {
    "flatline": 928,
    "rise_less_than_three": 816,
    "rise_three_to_five": 200,
    "rise_five_to_seven": 110,
    "rise_more_than_seven": 128,
    "fall_less_than_three": 686,
    "fall_three_to_five": 154,
    "fall_five_to_seven": 69,
    "fall_more_than_seven": 88
  }
}
```

| 字段名                    | 类型      | 描述        |
| ---------------------- | ------- | --------- |
| `flatline`             | Integer | 平盘家数      |
| `rise_less_than_three` | Integer | 涨幅<3%家数   |
| `rise_three_to_five`   | Integer | 涨幅3%-5%家数 |
| `rise_five_to_seven`   | Integer | 涨幅5%-7%家数 |
| `rise_more_than_seven` | Integer | 涨幅>7%家数   |
| `fall_less_than_three` | Integer | 跌幅<3%家数   |
| `fall_three_to_five`   | Integer | 跌幅3%-5%家数 |
| `fall_five_to_seven`   | Integer | 跌幅5%-7%家数 |
| `fall_more_than_seven` | Integer | 跌幅>7%家数   |

***

#### 全球指数

获取全球主要指数列表。

**接口地址**

* 基本路径：`/common/v2/basic/market/indexes`
* 完整路径：`https://data.infoway.io/common/v2/basic/market/indexes`

**返回示例**

```json
{
  "data": {
    "indexes": [
      {"counter_id": "IX/US/.DJI", "name": "道琼斯", "market": "US"},
      {"counter_id": "IX/US/.IXIC", "name": "纳斯达克", "market": "US"},
      {"counter_id": "IX/US/.SPX", "name": "标普 500", "market": "US"},
      {"counter_id": "IX/HK/HSI", "name": "恒生指数", "market": "HK"},
      {"counter_id": "IX/HK/HSTECH", "name": "恒生科技", "market": "HK"},
      {"counter_id": "IX/SH/000001", "name": "上证指数", "market": "CN"},
      {"counter_id": "IX/SZ/399001", "name": "深证成指", "market": "CN"},
      {"counter_id": "IX/SZ/399006", "name": "创业板指", "market": "CN"}
    ]
  }
}
```

| 字段名          | 类型     | 描述   |
| ------------ | ------ | ---- |
| `counter_id` | String | 指数ID |
| `name`       | String | 指数名称 |
| `market`     | String | 所属市场 |

***

#### 领涨行业

获取当日领涨行业及龙头股。

**接口地址**

* 基本路径：`/common/v2/basic/market/leaders/{market}`
* 完整路径：`https://data.infoway.io/common/v2/basic/market/leaders/{market}`

**路径参数**

| 参数名      | 类型     | 必填 | 描述   | 示例值  |
| -------- | ------ | -- | ---- | ---- |
| `market` | String | 是  | 市场代码 | `HK` |

**Request param入参说明**

| 参数名     | 类型      | 必填 | 描述              | 示例值  |
| ------- | ------- | -- | --------------- | ---- |
| `limit` | Integer | 否  | 返回行业数，1-50，默认10 | `10` |

**返回示例**

```json
{
  "market": "HK",
  "data": {
    "lists": [
      {
        "counter_id": "BK/HK/IN20351",
        "name": "保险经纪公司",
        "chg": "0.1535",
        "leading_name": "众淼控股",
        "leading_last_done": "40.400",
        "leading_chg": "0.1717",
        "rise_num": 2,
        "fall_num": 0
      }
    ]
  }
}
```

| 字段名                 | 类型      | 描述     |
| ------------------- | ------- | ------ |
| `counter_id`        | String  | 行业板块ID |
| `name`              | String  | 行业名称   |
| `chg`               | String  | 行业涨跌幅  |
| `leading_name`      | String  | 龙头股名称  |
| `leading_last_done` | String  | 龙头股最新价 |
| `leading_chg`       | String  | 龙头股涨跌幅 |
| `rise_num`          | Integer | 上涨家数   |
| `fall_num`          | Integer | 下跌家数   |

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infoway.io/rest-api/basic-info/get-market-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
